%define name irssi
%define version 0.7.20.1
%define release 6mdk
%define prefix /usr

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Irssi is a GTK based IRC client
Summary(fr): Irssi est un client IRC ecrit en GTK
Copyright: GPL
Group: Networking/IRC
URL: http://xlife.dhs.org/irssi/
Source: http://xlife.dhs.org/irssi/files/irssi-%{version}.tar.bz2
Source1: irssi_menuentry
Source2: irssi.gif
#Patch0: %{name}-0.7.6-slang.patch
Requires: gtk+
Prefix: /usr
BuildRoot: /tmp/%{name}-%{version}

%changelog
* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-6mdk
- change icons
- clean spec.

* Fri Apr 04 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-5mdk
- add icons

* Sat Apr 1 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-3mdk
- add menu entry

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-2mdk
- group fix

* Thu Dec 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7.20.1

* Thu Nov 04 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Clean up the file section (removes xmms conflict)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7.18 : 
	- Authors Note :
	There's still a small bug in 0.7.18 irssi, if you 
	use GtkText to print text it won't scroll down 
	automatically. Solution: Use irssi text widget..
- update URL & src url
- Enable SMP check/build & add bzip2 macro

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.7.14

* Mon Jul 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild (4mdk)

* Thu Jul 15 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- --sysconfdir=/etc

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Make Mandrake compliant again

* Fri Apr 30 1999 Gal Duval <gael@linux-mandrake.com>
- lipstick

* Fri Apr 16 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake compliant
- Change Group to Internet

* Mon Mar 29 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.7.6.
- text mode client re-added.

* Thu Mar 25 1999 JT Traub <jtraub@dragoncat.net>
- Updated sources

* Sat Mar 13 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.7.4 sources
- Added the irssi-text bin to the package.

* Mon Feb 22 1999 JT Traub <jtraub@dragoncat.net>
- Made spec file compliant with RHCN guidelines.

* Sun Feb 13 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.6.0 sources.
- Cleaned up spec file to make it relocatable on install

* Sun Feb 7 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.5.0
- removed obsolete patch lines

* Sat Feb 3 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.4.0
- Deleted old patch line

* Sat Jan 30 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.3.6
- Updated spec to install the .desktop file.
- Removed the now obsolete patch lines

* Wed Jan 27 1999  JT Traub <jtraub@dragoncat.net>
- Upgraded to 0.3.5

* Sun Jan 24 1999  JT Traub <jtraub@dragoncat.net>
- First attempt at building this

%description
Irssi is a GTK based GUI IRC client by Timo Sirainen <a@sicom.fi>.
More information can be found at http://www.sicom.fi/~ikioma/irssi.html.

%description -l fr
Irssi est client IRC crit en GTK.

%prep
%setup -q -n %{name}-%{version}
#%patch0 -p1 -b .slang

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --sysconfdir=/etc

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi


%install

rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install
strip $RPM_BUILD_ROOT%{prefix}/bin/irssi
strip $RPM_BUILD_ROOT%{prefix}/bin/irssi-text

# Mandrake Menu entries
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/irssi
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/icons/mini
install -m644  %{SOURCE2} $RPM_BUILD_ROOT%{prefix}/share/icons/mini/irssi.gif

%post 
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr (-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog README TODO NEWS
%attr(755,root,root) %{prefix}/bin/irssi
#%attr(755,root,root) %{prefix}/lib/perl5/site_perl/5.6.0/i386-linux/auto/Irssi/*
%attr(755,root,root) %{prefix}/bin/irssi-text
%attr(644,root,root) %config /etc/irssi/* 
%attr(644,root,root) %config /etc/CORBA/servers/*
%attr(644,root,root) %{prefix}/share/applets/Network/irssi.desktop
%attr(644,root,root) %{prefix}/lib/irssi/plugins/*.so
#%attr(644,root,root) %{prefix}/lib/irssi/scripts/perl/test.pl
%attr(644,root,root) %{prefix}/lib/menu/irssi
%attr(644,root,root) %{prefix}/share/icons/mini/*
